Packages - Bug #2050
Housekeeping # 2047 (in progress): [STICKY][icu]: and friends (x86_64)

[libre/iceweasel]: rebuild against new icu (x86_64)
2018-10-30 02:21 PM - freemor

Status: fixed % Done: 100%
Priority: bug

Assignee: bill-auger

Category:

Description

Needs rebuild against icu

NOTE: remember to rebuild 'libre/iceweasel-110n' if the version has changed - that package is coupled to each specific version of
iceweasel, to avoid breakage

History

#1 - 2018-10-30 02:35 PM - freemor

- Subject changed from libre/iceseasel to libre/iceweasel
current PKGBUILD fails to rebuild current version.

#2 - 2018-10-31 05:04 AM - bill-auger

- Subject changed from libre/iceweasel to [iceweasel]: can not install depends on ‘icu’

#3 - 2018-11-01 10:58 PM - freemor

It Seems something is causing hg to crash out while trying to create the working directory.

[freemor@freelap iceweasell]l$ makepkg -si
==> Making package: iceweasel 1:61.0.2-1.parabolad4 (Thu 01 Nov 2018 04:25:20 PM ADT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
—> Cloning mozilla-unified hg repo...
applying clone bundle from https://hg.cdn.mozilla.net/mozilla-unified/20ae9023dd79e7108da0e3c909a£8d6066b75761
.zstd-max.hg
adding changesets
adding manifests

adding file changes
added 495381 changesets with 2906892 changes to 474472 files (+11 heads)

finished applying clone bundle
searching for changes

adding changesets

adding manifests

adding file changes
added 128 changesets with 1445 changes to 1361 files (+1 heads)

new changesets 417d75b25e56:84d3cfc3fbc6

495381 local changesets published
-> Found iceweasel.desktop
—-> Found iceweasel_61.0-1.branding.tar.xz
—-> Found iceweasel_61.0-1.branding.tar.xz.sig
-> Found 000l-branding-Fix-for-v60-v6l.patch
—-> Found libre.patch

==> Validating source files with sha256sums...

mozilla-unified ... Skipped

iceweasel.desktop ... Passed
iceweasel_61.0-1.branding.tar.xz ... Passed
iceweasel_61.0-1.branding.tar.xz.sig ... Skipped
0001-branding-Fix-for-v60-v6l.patch ... Passed
libre.patch ... Passed
==> Verifying source file signatures with gpg...
iceweasel_61.0-1.branding.tar.xz ... Passed (WARNING: the key has expired.)
==> WARNING: Warnings have occurred while verifying the signatures.
Please make sure you really trust them.
==> Extracting sources...
-> Creating working copy of mozilla-unified hg repo...
pulling from /home/freemor/packages/abslibre/libre/iceweasel/mozilla-unified
requesting all changes
adding changesets
adding manifests

transaction abort!

rollback completed
** unknown exception encountered, please report by visiting
** https://mercurial-scm.org/wiki/BugTracker
** Python 2.7.15 (default, Jun 27 2018, 13:05:28) [GCC 8.1.1 20180531]
** Mercurial Distributed SCM (version 4.7.2)
** Extensions loaded:
Traceback (most recent call last):
File "/usr/bin/hg", line 41, in <module>
dispatch.run ()
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 90, in run
status = dispatch(req)
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 213, in dispatch
ret = _runcatch(req) or 0
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 354, in _runcatch
return _callcatch(ui, _runcatchfunc)
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 362, in _callcatch
return scmutil.callcatch(ui, func)
File "/usr/lib/python2.7/site-packages/mercurial/scmutil.py", line 161, in callcatch
return func()
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 344, in _runcatchfunc
return _dispatch (req)
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 984, in _dispatch
cmdpats, cmdoptions)
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 730, in runcommand
ret = _runcommand (ui, options, cmd, d)
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 992, in _runcommand
return cmdfunc()
File "/usr/lib/python2.7/site-packages/mercurial/dispatch.py", line 981, in <lambda>
d = lambda: util.checksignature (func) (ui, *args, **strcmdopt)
File "/usr/lib/python2.7/site-packages/mercurial/util.py", line 1528, in check
return func(*args, **kwargs)
File "/usr/lib/python2.7/site-packages/mercurial/commands.py", line 4213, in pull
opargs=pullopargs) .cgresult
File "/usr/lib/python2.7/site-packages/mercurial/exchange.py", line 1489, in pull
_fullpullbundle2 (repo, pullop)
File "/usr/lib/python2.7/site-packages/mercurial/exchange.py", line 1429, in _fullpullbundle?2
_pullbundle2 (pullop)
File "/usr/lib/python2.7/site-packages/mercurial/exchange.py", line 1672, in _pullbundle2
bundle2.processbundle (pullop.repo, bundle, op=op)
File "/usr/lib/python2.7/site-packages/mercurial/bundle2.py", line 460, in processbundle
processparts (repo, op, unbundler)
File "/usr/lib/python2.7/site-packages/mercurial/bundle2.py",
_processpart (op, part)
File "/usr/lib/python2.7/site-packages/mercurial/bundle2.py", line 534, in _processpart
handler (op, part)
File "/usr/lib/python2.7/site-packages/mercurial/bundle2.py", line 1805, in handlechangegroup
expectedtotal=nbchangesets, **extrakwargs)

line 467, in processparts

File "/usr/lib/python2.7/site-packages/mercurial/bundle2.py",
ret = cg.apply(op.repo, tr, source, url, **kwargs)

File "/usr/lib/python2.7/site-packages/mercurial/changegroup.py", line 321, in apply
self._unpackmanifests (repo, revmap, trp, progress)

File "/usr/lib/python2.7/site-packages/mercurial/changegroup.py", line 248, in _unpackmanifests
repo.manifestlog.addgroup (deltas, revmap, trp)

File "/usr/lib/python2.7/site-packages/mercurial/manifest.py", line 1356, in addgroup
return self._revlog.addgroup (deltas, linkmapper, transaction)

File "/usr/lib/python2.7/site-packages/mercurial/revlog.py", line 2678, in addgroup
deltacomputer=deltacomputer)

File "/usr/lib/python2.7/site-packages/mercurial/revlog.py", line 2556, in _addrevision
entry = self._io.packentry(e, self.node, self.version, curr)

File "/usr/lib/python2.7/site-packages/mercurial/revlog.py", line 834, in packentry
return indexformatvO_pack (*e2)

struct.error: 'l' format requires -2147483648 <= number <= 2147483647

line 470, in _processchangegroup
==> ERROR: Failure while updating working copy of mozilla-unified hg repo
Aborting...
[freemor@freelap iceweasell$

#4 - 2018-11-02 11:00 PM - freemor
- File iceweasel-1_61.0.2-1.parabola3-x86_64-prepare.log added
- File iceweasel-1_61.0.2-1.parabola3-x86_64-build.log added

Tried building with the latest tweaks (https:/git.parabola.nu/abslibre.git/commit/?id=2aefa8c31a800986069c198bcc45c25094be7e7f )
see attached logs

#5 - 2018-11-03 12:07 PM - freemor
- % Done changed from 0 to 100

- Status changed from open to fixed

The work done in Libre-testing worked!
built, Tested, released
The weasel lives again :)

Copied [libre-testing/iceweasel] to [libre/iceweasel]

#6 - 2020-05-05 02:31 PM - bill-auger

- Tracker changed from Bug to Housekeeping

#7 - 2020-05-05 02:36 PM - bill-auger

- Assignee set to bill-auger

#8 - 2020-05-13 11:38 AM - bill-auger

- Subject changed from [iceweasel]: can not install depends on 'icu’ to [iceweasel]: rebuild against new icu (x86_64)

#9 - 2020-05-13 11:45 AM - bill-auger
- Description updated

- Subject changed from [iceweasel]: rebuild against new icu (x86_64) to [libre/iceweasel]: rebuild against new icu (x86_64)

#10 - 2020-05-13 01:38 PM - bill-auger

- Description updated

#11 - 2020-05-13 01:42 PM - bill-auger

- Description updated

#12 - 2021-04-18 12:22 PM - bill-auger

- Status changed from fixed to open

#13 - 2023-09-01 03:51 AM - bill-auger
- Status changed from open to unconfirmed

- Tracker changed from Housekeeping to Bug

#14 - 2023-09-01 03:51 AM - bill-auger

- Status changed from unconfirmed to confirmed

#15 - 2023-12-19 03:21 AM - bill-auger

- Status changed from confirmed to fixed

just to note, we have not been using the system 'icu' for some time (except for armv7h); so this ticket could have been closed, at least until unless that
changes in the future

Files

iceweasel-1_61.0.2-1.parabola3-x86_64-build.log 13.5 KB 2018-11-02 freemor

2024-03-20 3/4


https://git.parabola.nu/abslibre.git/commit/?id=2aefa8c31a800986069c198bcc45c25094be7e7f

iceweasel-1_61.0.2-1.parabola3-x86_64-prepare.log 2.47 KB 2018-11-02 freemor
